> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yapily.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payment Pre-authorisation

> Used to initiate the pre-authorisation process for payments for CBI Globe institutions that contain the `INITIATE_ONETIME_PRE_AUTHORISATION_PAYMENTS` feature to authenticate the user. 

Feature: `INITIATE_ONETIME_PRE_AUTHORISATION_PAYMENTS`

<Info>Learn more: [Payment Pre-Authorisation](/open-banking-flow/user-authorisation/pre-authorisation)</Info>


## OpenAPI

````yaml /openapi-converted.json post /payment-pre-auth-requests
openapi: 3.0.1
info:
  description: >-
    The Yapily API enables connections between your application and users'
    banks. For more information check out our [documentation](/introduction).


    In particular, make sure to view our [Getting
    Started](/getting-started/get-started) steps if this is your first time
    here.


    While testing the API, our list of [sandbox
    credentials](/resources/sandbox/sandbox-credentials) maybe useful.
  title: Yapily API
  version: 12.3.4
  contact:
    name: Yapily Support
    url: https://docs.yapily.com/resources/support
    email: support@yapily.com
servers:
  - url: https://api.yapily.com
security:
  - basicAuth: []
tags:
  - description: >-
      The `Application` is the base entity that is used to interact with the API
      and contains a collection of `Institution` objects. You can have multiple
      Applications associated with your account e.g. a production application
      with live access to each `Institution` and a development application with
      access to sandboxes.
    name: Application
  - description: >-
      The Users endpoints are used to manage each user (otherwise known as the
      PSU) in Yapily. Each user belongs to an Application and as a consequence,
      so do each `Consent` created for a particular `User`.
    name: Users
  - description: >-
      An `Institution` object represents any Account Serving Payment Servicing
      Provider (ASPSP) that has been integrated and is accessible through the
      Yapily APIs (ASPSPs are entities that publish Read/Write APIs to permit,
      with customer consent, payments initiated by third party providers and/or
      make their customers financial data available to third party providers via
      their API endpoints).


      Any one of the following would be represented as Institution:


      - Traditional banks e.g. Santander

      - Neo-banks e.g. Monzo

      - Building societies e.g. Cumberland Building Society
    name: Institutions
  - description: >-
      The Consents endpoints are used to manage each `Consent` created by Yapily
      in response to an authorisation created for a user.


      The `Consent` object contains data that identifies a user's consent for a
      specific `Institution` within a Yapily application. Other than the id of
      the consent, the `institution-id` for the corresponding `Institution` and
      the user identifiers (`user-uuid` and `application-user-id`), it contains
      various details that indicates how the `Consent` can be used.
    name: Consents
  - description: >-
      Before calling [Financial Data](#yapily-api-financial-data) or
      [Payments](#yapily-api-payments) endpoints, a consent from an end-user
      must be obtained.


      Consents are valid for up to 90 days for Financial Data endpoints and have
      a single-use for Payment endpoints i.e. a new consent must be obtained for
      each payment.


      NOTE: A user consent is also referred to as an 'Authorisation'.
    name: Authorisations
  - description: >-
      In order to access a user's Financial Data, you are required to request an
      [Authorisation](#tag/Authorisations) from the user to share the account
      information the bank has. Once a `consent-token` is obtained, you can call
      the necessary Financial Data endpoint(s) to retrieve the user's data.
    name: Financial Data
  - description: >-
      In order to make a Payment on behalf of a user, you are required to
      request an [Authorisation](#tag/Authorisations) from the user to authorise
      the user's account to make the payment from. Once a `consent-token` is
      obtained, you can call the necessary Payments endpoint(s) to execute a
      payment.
    name: Payments
  - description: >+
      The Notifications endpoints provide an interactive way for user to receive
      notifications according to different event-types. This feature is
      currently in private beta. Please reach out if you require access. 

    name: Notifications
  - description: >-
      Variable Recurring Payments enables transfer of money between accounts
      held by the same person or transfer of money for business payments. 


      In order to make Sweeping Variable Recurring Payments on behalf of a user,
      you are required to request an [Consent](#tag/Authorisations) from the
      user by calling the Sweeping Consent endpoint to authorise the user's
      account to make the payment. Once a `consent-token` is obtained, you can
      call the Payments endpoint to execute the Sweeping Variable Recurring
      Payments transaction. Before executing the payment, you have the option to
      confirm availability of funds in the user's account by calling the Funds
      Confirmation endpoint. 


      See [VRP Payments](/payments/vrps/additional-information) for more
      information.
    name: Variable Recurring Payments
  - description: Hosted Payment Pages endpoints for payments products
    name: Hosted Payment Pages
  - description: Hosted Consent Pages endpoints for data products
    name: Hosted Consent Pages
  - description: >-
      The constraints endpoints can be used to retrieve institution specific
      data requirements and rules that will apply when performing other
      operations.
    name: Constraints
  - description: >-
      Application Management endpoints help with creating and managing client
      sub-applications.
    name: Application Management
  - description: 'Data Plus endpoints enable our customers to enrich transaction data. '
    name: Data Plus
  - description: Webhook endpoints
    name: Webhooks
  - description: Application Beneficiaries Endpoints
    name: Application Beneficiaries
  - description: User Beneficiaries Endpoints
    name: User Beneficiaries
paths:
  /payment-pre-auth-requests:
    post:
      tags:
        - Authorisations
      summary: Create Payment Pre-authorisation
      description: >-
        Used to initiate the pre-authorisation process for payments for CBI
        Globe institutions that contain the
        `INITIATE_ONETIME_PRE_AUTHORISATION_PAYMENTS` feature to authenticate
        the user. 


        Feature: `INITIATE_ONETIME_PRE_AUTHORISATION_PAYMENTS`
      operationId: createPaymentPreAuthorisationRequest
      parameters:
        - description: >-
            __Optional__. Used to obtain the raw request and response to and
            from the `Institution`.
          in: query
          name: raw
          required: false
          schema:
            type: boolean
        - description: >-
            __Conditional__. The IP address of the PSU. 


            See [PSU
            identifiers](/open-banking-flow/user-authorisation/psu-identifiers)
            to see if this header is required.
          in: header
          name: psu-ip-address
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/SubAppHeader'
      requestBody:
        content:
          application/json;charset=UTF-8:
            examples:
              CBI Globe (PIS) example request:
                $ref: '#/components/examples/cbi-globe-pis-pre-auth-example-request'
            schema:
              $ref: '#/components/schemas/PaymentPreAuthorisationRequest'
        required: true
      responses:
        '201':
          content:
            application/json;charset=UTF-8:
              examples:
                Berlin Group Example (PIS) Response:
                  $ref: >-
                    #/components/examples/berlin-group-pis-pre-auth-example-response
              schema:
                $ref: '#/components/schemas/ApiResponseOfPreAuthorisationResponse'
          description: Created
        default:
          content:
            application/json;charset=UTF-8:
              examples:
                Error Response:
                  $ref: '#/components/examples/error-response-code-401'
              schema:
                $ref: '#/components/schemas/ApiResponseError'
          description: Error Response
components:
  parameters:
    SubAppHeader:
      description: The sub-application ID to which event type is being subscribed to
      in: header
      name: sub-application
      required: false
      schema:
        type: string
        format: uuid
  examples:
    cbi-globe-pis-pre-auth-example-request:
      description: CBI Globe (PIS) example request
      value:
        applicationUserId: string
        institutionId: n26
        callback: https://display-parameters.com/
        scope: PIS
        reference: Bill Payment
        amount:
          amount: 1
          currency: EUR
        payee:
          name: Jane Doe
          country: BE
          accountIdentifications:
            - type: IBAN
              identification: BE12345678901234
        payer:
          accountIdentifications:
            - type: IBAN
              identification: DE12345678901234567890
    berlin-group-pis-pre-auth-example-response:
      description: Berlin Group Example (PIS) Response
      value:
        meta:
          tracingId: ba79c56773de42129dbf8164b202276c
        data:
          id: 53ff00d0-91dd-417d-880b-cdd7c50090ed
          userUuid: e2578545-27a4-4edf-983f-5d33c2d7b559
          applicationUserId: string
          institutionId: n26
          state: 4399535ee4de46238fce108a95669848
          status: AWAITING_PRE_AUTHORIZATION
          createdAt: '2021-06-10T09:54:46.669Z'
          featureScope:
            - INITIATE_ONETIME_PRE_AUTHORISATION_PAYMENTS
          authorisationUrl: >-
            https://app.n26.com/open-banking?requestId=2e2b2efd-82bb-4a2b-8f67-ced1a93511b8&state=4399535ee4de46238fce108a95669848&authType=XS2A&scope=DEDICATED_PISP
          qrCodeUrl: >-
            https://images.yapily.com/image/7384ad3b-5eb1-4304-9cfa-7aa6fcc5e0c7/1623318888?size=0
    error-response-code-401:
      description: Error Response
      value:
        error:
          code: 401
          status: UNAUTHORIZED
          message: Full authentication is required to access this resource
  schemas:
    PaymentPreAuthorisationRequest:
      required:
        - institutionId
        - scope
        - payee
        - payer
        - amount
        - reference
      type: object
      properties:
        userUuid:
          type: string
          format: uuid
        applicationUserId:
          type: string
          description: >-
            __Conditional__. The user-friendly reference to the `User` that will
            authorise the authorisation request. If a `User` with the specified
            `applicationUserId` exists, it will be used otherwise, a new `User`
            with the specified `applicationUserId` will be created and used.
            Either the `userUuid` or `applicationUserId` must be provided.
          example: user-234562290
        forwardParameters:
          type: array
          description: >-
            Extra parameters to be forwarded in the redirect back to the client
            after the user authorisation flow has been completed.
          items:
            type: string
        institutionId:
          type: string
          description: >-
            __Mandatory__. The reference to the `Institution` which identifies
            which institution the authorisation request is sent to.
          example: yapily-mock
        callback:
          type: string
          description: >-
            __Optional__. The server to redirect the user to after the user
            complete the authorisation at the `Institution`. 


            See [Using a callback
            (Optional)](/open-banking-flow/handling-redirects/callback-url) for
            more information.
          example: https://display-parameters.com
        redirect:
          $ref: '#/components/schemas/RedirectRequest'
        oneTimeToken:
          type: boolean
          description: >-
            __Conditional__. Used to receive a `oneTimeToken` rather than a
            `consentToken` at the `callback` for additional security. This can
            only be used when the `callback` is set. 


            See [Using a callback with an OTT
            (Optional)](/open-banking-flow/handling-redirects/callback-url) for
            more information.
          example: false
        scope:
          type: string
          description: __Mandatory__. Defines the scope of the pre-authorisation request.
          example: AIS
        payee:
          $ref: '#/components/schemas/PayeeDetails'
        payer:
          $ref: '#/components/schemas/PayerDetails'
        amount:
          $ref: '#/components/schemas/Amount'
        reference:
          type: string
          description: >-
            __Mandatory__. The payment reference or description. Limited to a
            maximum of 18 characters long.
          example: Bill payment
      description: >-
        __Mandatory__. The payment pre authorisation request object defining the
        details of the payment and pre auth.
    ApiResponseOfPreAuthorisationResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/ResponseMeta'
        data:
          $ref: '#/components/schemas/PreAuthorisationResponse'
        links:
          type: object
          additionalProperties:
            type: string
        forwardedData:
          type: array
          items:
            $ref: '#/components/schemas/ResponseForwardedData'
        raw:
          deprecated: true
          type: array
          items:
            $ref: '#/components/schemas/RawResponse'
        tracingId:
          type: string
          writeOnly: true
    ApiResponseError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        raw:
          deprecated: true
          type: array
          items:
            $ref: '#/components/schemas/RawResponse'
      description: >-
        Used to return errors from the bank from each request


        - `400` - Returned by any `POST` endpoint when the body does not conform
        to the contract

        - `401` - Returned by any endpoint when an invalid `authToken` is used
        for authentication

        - `403` - Returned by any [Financial
        Data](/api-reference#financial-data) and any
        [Payments](/api-reference#payments) endpoint when the `Consent` is no
        longer authorised to access financial data or to make a payment

        - `404` - Returned by any endpoint where there are path parameters and
        the path parameters supplied are unable to find the desired resource

        - `409` - Returned by any `POST` endpoint when creating a resource that
        conflicts with any other existing resource e.g. [Create
        User](/api-reference/addUser)

        - `424` - Returned by any [Financial
        Data](/api-reference#financial-data) and any
        [Payments](/api-reference#payments) endpoint when the feature to be
        accessed is not supported by the `Institution`.

        - `500` - Returned by any endpoint when Yapily is down. If you encounter
        any false positives, please [notify us](mailto:support@yapily.com)
      example:
        error:
          tracingId: 74b13ce8ed51419f92c5d609e04532de
          code: 424
          institutionError:
            errorMessage: >-
              {"Code":"500 Internal Server
              Error","Id":"5ff8d331-4282-41e0-b5ef-1ac9ac39f009","Message":"Technical
              Error. Please try again
              later","Errors":[{"ErrorCode":"UK.OBIE.UnexpectedError","Message":"There
              was a problem processing your request. Please try again later"}]}
            httpStatusCode: 500
          source: INSTITUTION
          status: FAILED_DEPENDENCY
    RedirectRequest:
      required:
        - url
      type: object
      properties:
        url:
          type: string
          description: >-
            __Mandatory__.Successful redirect after the user complete the
            authorisation at the `Institution`.
      description: >-
        __Optional__. The server to redirect the user to after the user complete
        the authorisation at the `Institution`.
    PayeeDetails:
      type: object
      required:
        - accountIdentifications
        - name
        - country
      properties:
        name:
          type: string
          description: __Mandatory__. The account holder name of the beneficiary.
          example: Jane Doe
        accountIdentifications:
          uniqueItems: true
          type: array
          description: >-
            __Mandatory__. The account identifications that identify the `Payee`
            bank account.
          example:
            - identification: IBUK123456789
              type: IBAN
          items:
            $ref: '#/components/schemas/AccountIdentification'
        country:
          type: string
          deprecated: true
          description: >-
            __Deprecated__. Use `address.country` instead. The 2-letter ISO 3166
            country code for the address. 


            An `Institution` may require you to specify the `country` when used
            in the context of the `Payee` to be able to make a payment. This
            field will be removed in a future version - please use the `country`
            field within the `address` object.
          example: GB
        address:
          $ref: '#/components/schemas/Address'
      description: __Mandatory__. Details of the beneficiary [person or business].
    PayerDetails:
      required:
        - accountIdentifications
      type: object
      properties:
        accountIdentifications:
          uniqueItems: true
          type: array
          description: >-
            __Mandatory__. The account identifications that identify the `Payer`
            bank account.
          items:
            $ref: '#/components/schemas/AccountIdentification'
      description: __Conditional__. Details of the benefactor [person or business].
    Amount:
      title: Amount Details
      required:
        - amount
        - currency
      type: object
      properties:
        amount:
          title: Amount
          type: number
          description: __Mandatory__. The monetary value
          example: 10
        currency:
          title: Currency
          type: string
          description: >-
            __Mandatory__. The [ISO 4217](https://www.xe.com/iso4217.php)
            currency code
          example: GBP
      description: __Mandatory__. Monetary Amount.
    ResponseMeta:
      type: object
      properties:
        tracingId:
          type: string
    PreAuthorisationResponse:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the pre-authorisation request.
          format: uuid
        userUuid:
          type: string
          description: The `User` that the authorisation request was created for.
          format: uuid
        applicationUserId:
          type: string
          description: >-
            The user-friendly reference to the `User` that the authorisation
            request was created for.
        referenceId:
          type: string
        institutionId:
          type: string
          description: The `Institution` the authorisation request was sent to.
        status:
          $ref: '#/components/schemas/AuthorisationStatus'
        createdAt:
          type: string
          description: Date and time the consent was created.
          format: date-time
        transactionFrom:
          type: string
          description: >-
            When performing a transaction query using the consent, this is the
            earliest date of transaction records that can be retrieved.
          format: date-time
        transactionTo:
          type: string
          description: >-
            When performing a transaction query using the consent, this is the
            latest date of transaction records that can be retrieved.
          format: date-time
        expiresAt:
          type: string
          description: >-
            Date and time the authorisation expires. Re-authorisation is needed
            to retain access.
          format: date-time
        timeToExpireInMillis:
          type: integer
          format: int64
          deprecated: true
        timeToExpire:
          type: string
          format: iso8601
        featureScope:
          uniqueItems: true
          description: The set of features the consent provides access to.
          type: array
          items:
            $ref: '#/components/schemas/FeatureEnum'
        consentToken:
          type: string
          description: >-
            Represents the authorisation to gain access to the requested
            features. Required to access account information or make a payment
            request.
        state:
          type: string
          description: >-
            Correlation ID used with the `Institution` during the authorisation
            process.
        authorizedAt:
          type: string
          description: Date and time the request was authorised by the `Institution`.
          format: date-time
        institutionConsentId:
          type: string
          description: Unique identifier of the consent assigned by the `Institution`.
        authorisationUrl:
          type: string
        qrCodeUrl:
          type: string
          description: >-
            The URL link for the QR code that may be scanned via a mobile device
            to make a authorisation redirect to the bank (authURL encoded).
    ResponseForwardedData:
      type: object
      properties:
        headers:
          type: object
          additionalProperties:
            type: string
        url:
          type: string
    RawResponse:
      deprecated: true
      type: object
      description: >-
        [DEPRECATED] Interaction (raw request and response) that occurred with
        the `Institution` in order to fulfil a request.
      properties:
        request:
          $ref: '#/components/schemas/RawRequest'
        duration:
          type: string
          format: iso8601
        headers:
          type: object
          additionalProperties:
            type: string
        resultCode:
          type: integer
          format: int32
        result:
          type: object
    ApiError:
      type: object
      description: Provides details of the error that has occurred.
      properties:
        code:
          type: integer
          description: __Mandatory__. Numeric `HTTP` status code associated with the error.
          format: int32
        institutionError:
          $ref: '#/components/schemas/InstitutionError'
        message:
          type: string
          description: >-
            __Mandatory__. Description of the exact error that has been
            experienced.
        source:
          type: string
        status:
          type: string
          description: __Mandatory__. Textual description of the `HTTP` error status type.
        tracingId:
          type: string
          description: >-
            __Optional__.  A unique identifier assigned by Yapily for the
            request that can be used for support purposes.
    AccountIdentification:
      title: Account Identifications
      required:
        - type
        - identification
      type: object
      properties:
        type:
          $ref: '#/components/schemas/AccountIdentificationType'
        identification:
          title: Account Identification
          type: string
          description: >-
            __Mandatory__. The value associated with the account identification
            type.

             See [Account Identification Combinations](/payments/payment-resources/intro-to-payment-execution#account-identifications-combinations) for more information on the format of the values.
          example: '401016'
    Address:
      title: Address Details
      type: object
      properties:
        addressLines:
          title: Address Lines
          type: array
          description: __Optional__. The address line of the address
          example:
            - Ardenham Court
          items:
            type: string
        streetName:
          title: Street
          type: string
          description: __Optional__. The street name of the address
          example: Oxford Road
        buildingNumber:
          title: Building Number
          type: string
          description: __Optional__. The building number of the address
          example: '45'
        postCode:
          title: Post Code
          type: string
          description: __Optional__. The post code of the address
          example: HP19 3EQ
        townName:
          title: Town
          type: string
          description: __Optional__. The town name of the address
          example: Aylesbury
        county:
          title: County
          type: array
          description: __Optional__. The list of counties for the address
          example:
            - Buckinghamshire
          items:
            type: string
        country:
          title: Country
          type: string
          description: >-
            __Conditional__. The 2-letter country code for the address. 


            An `Institution` may require you to specify the `country` when used
            in the context of the `Payee` to be able to make a payment
          example: GB
        department:
          title: Department
          type: string
          description: __Optional__. The department for the address
          example: Unit 2
        subDepartment:
          title: Sub-Department
          type: string
          description: __Optional__. The sub-department for the address
          example: Floor 3
        addressType:
          $ref: '#/components/schemas/AddressTypeEnum'
      description: >-
        __Conditional__. The address of the `Payee` or `Payer`.


        - `payee.address` is mandatory when the `paymentType` is an
        `INTERNATIONAL` payment

        - An `Institution` may require you to specify the `country` when used in
        the context of the `Payee` to be able to make a payment.
      example:
        country: GB
    AuthorisationStatus:
      description: Current status of the embedded authorisation request in code form.
      type: string
      enum:
        - AWAITING_AUTHORIZATION
        - AWAITING_FURTHER_AUTHORIZATION
        - AWAITING_RE_AUTHORIZATION
        - AUTHORIZED
        - CONSUMED
        - REJECTED
        - REVOKED
        - FAILED
        - EXPIRED
        - UNKNOWN
        - INVALID
        - AWAITING_DECOUPLED_PRE_AUTHORIZATION
        - AWAITING_PRE_AUTHORIZATION
        - PRE_AUTHORIZED
        - AWAITING_DECOUPLED_AUTHORIZATION
        - AWAITING_SCA_METHOD
        - AWAITING_SCA_CODE
    FeatureEnum:
      type: string
      description: >-
        Used to describe what functions are supported by the associated
        `Institution`.        


        For more information on each feature, see the following links:        


        - [Financial Data
        Features](/data/financial-data-resources/financial-data-features)

        - [Payments Features](/payments/payment-resources/payment-features)
      enum:
        - INITIATE_PRE_AUTHORISATION
        - INITIATE_PRE_AUTHORISATION_ACCOUNTS
        - INITIATE_PRE_AUTHORISATION_PAYMENTS
        - INITIATE_ACCOUNT_REQUEST
        - INITIATE_EMBEDDED_ACCOUNT_REQUEST
        - ACCOUNT_REQUEST_DETAILS
        - ACCOUNTS
        - ACCOUNT
        - ACCOUNT_TRANSACTIONS
        - ACCOUNT_STATEMENTS
        - ACCOUNT_STATEMENT
        - ACCOUNT_STATEMENT_FILE
        - ACCOUNT_SCHEDULED_PAYMENTS
        - ACCOUNT_DIRECT_DEBITS
        - ACCOUNT_PERIODIC_PAYMENTS
        - ACCOUNT_TRANSACTIONS_WITH_MERCHANT
        - IDENTITY
        - ACCOUNTS_WITHOUT_BALANCE
        - ACCOUNT_WITHOUT_BALANCE
        - ACCOUNT_BALANCES
        - INITIATE_SINGLE_PAYMENT_SORTCODE
        - EXISTING_PAYMENT_INITIATION_DETAILS
        - CREATE_SINGLE_PAYMENT_SORTCODE
        - EXISTING_PAYMENTS_DETAILS
        - INITIATE_DOMESTIC_SINGLE_PAYMENT
        - INITIATE_EMBEDDED_DOMESTIC_SINGLE_PAYMENT
        - CREATE_DOMESTIC_SINGLE_PAYMENT
        - INITIATE_EMBEDDED_BULK_PAYMENT
        - INITIATE_DOMESTIC_SINGLE_INSTANT_PAYMENT
        - CREATE_DOMESTIC_SINGLE_INSTANT_PAYMENT
        - INITIATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT
        - CREATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT
        - INITIATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_SWEEPING
        - CREATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_SWEEPING
        - INITIATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_COMMERCIAL
        - CREATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_COMMERCIAL
        - INITIATE_DOMESTIC_SCHEDULED_PAYMENT
        - CREATE_DOMESTIC_SCHEDULED_PAYMENT
        - INITIATE_DOMESTIC_PERIODIC_PAYMENT
        - CREATE_DOMESTIC_PERIODIC_PAYMENT
        - PERIODIC_PAYMENT_FREQUENCY_EXTENDED
        - INITIATE_INTERNATIONAL_SCHEDULED_PAYMENT
        - CREATE_INTERNATIONAL_SCHEDULED_PAYMENT
        - INITIATE_INTERNATIONAL_PERIODIC_PAYMENT
        - CREATE_INTERNATIONAL_PERIODIC_PAYMENT
        - INITIATE_INTERNATIONAL_SINGLE_PAYMENT
        - CREATE_INTERNATIONAL_SINGLE_PAYMENT
        - INITIATE_BULK_PAYMENT
        - CREATE_BULK_PAYMENT
        - EXISTING_BULK_PAYMENT_DETAILS
        - TRANSFER
        - OPEN_DATA_PERSONAL_CURRENT_ACCOUNTS
        - OPEN_DATA_ATMS
        - READ_DOMESTIC_SINGLE_REFUND
        - READ_DOMESTIC_SCHEDULED_REFUND
        - READ_DOMESTIC_PERIODIC_PAYMENT_REFUND
        - READ_INTERNATIONAL_SINGLE_REFUND
        - READ_INTERNATIONAL_SCHEDULED_REFUND
        - ACCOUNT_BENEFICIARIES
        - INITIATE_ONETIME_PRE_AUTHORISATION_PAYMENTS
        - INITIATE_ONETIME_PRE_AUTHORISATION_ACCOUNTS
        - INITIATE_ONETIME_PRE_AUTHORISATION
        - VARIABLE_RECURRING_PAYMENT_FUNDS_CONFIRMATION
    RawRequest:
      type: object
      properties:
        method:
          type: string
        url:
          type: string
        requestInstant:
          type: string
          format: date-time
        headers:
          type: object
          additionalProperties:
            type: string
        body:
          type: object
        bodyParameters:
          type: object
          additionalProperties:
            type: string
        startTime:
          type: string
          format: date-time
        startedAt:
          type: string
          format: date-time
          deprecated: true
    InstitutionError:
      type: object
      description: >-
        Raw error details provided by the `Institution`, when it was the error
        source.
      properties:
        errorMessage:
          type: string
          description: Textual description of the `Institution` error.
        httpStatusCode:
          type: integer
          description: Numeric HTTP status code associated with the `Institution` error.
          format: int32
    AccountIdentificationType:
      title: Account Identification Type
      type: string
      description: |-
        __Mandatory__. Used to describe the format of the account.

         See [Account Identification Combinations](/payments/payment-resources/intro-to-payment-execution#account-identifications-combinations) for more information on when to specify each type.
      example: SORT_CODE
      enum:
        - SORT_CODE
        - ACCOUNT_NUMBER
        - IBAN
        - BBAN
        - BIC
        - PAN
        - MASKED_PAN
        - MSISDN
        - BSB
        - NCC
        - ABA
        - ABA_WIRE
        - ABA_ACH
        - EMAIL
        - ROLL_NUMBER
        - BLZ
        - IFS
        - CLABE
        - CTN
        - BRANCH_CODE
        - VIRTUAL_ACCOUNT_ID
    AddressTypeEnum:
      title: Address Type
      type: string
      description: __Optional__. The type of address
      enum:
        - BUSINESS
        - CORRESPONDENCE
        - DELIVERY_TO
        - MAIL_TO
        - PO_BOX
        - POSTAL
        - RESIDENTIAL
        - STATEMENT
        - UNKNOWN
  securitySchemes:
    basicAuth:
      description: >-
        Use HTTP Basic Authentication with your Application ID as username and
        Application Secret as password. Manage credentials in the [Yapily
        Console](https://console.yapily.com/). See
        [Authentication](/api-reference/authentication) for details.
      scheme: basic
      type: http

````